>From bdab29233a0f47076b79015b6190d61dfed58d77 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Fri, 23 Aug 2013 15:32:56 +0200
Subject: [PATCH] relfilenodemap: Initialize variable properly for negative
 cache entries

---
 src/backend/utils/cache/relfilenodemap.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/utils/cache/relfilenodemap.c b/src/backend/utils/cache/relfilenodemap.c
index 2a8f837..f3f9a09 100644
--- a/src/backend/utils/cache/relfilenodemap.c
+++ b/src/backend/utils/cache/relfilenodemap.c
@@ -180,6 +180,9 @@ RelidByRelfilenode(Oid reltablespace, Oid relfilenode)
 	if (found)
 		return entry->relid;
 
+	/* initialize empty/negative cache entry before doing the actual lookup */
+	entry->relid = InvalidOid;
+
 	/* ok, no previous cache entry, do it the hard way */
 
 	/* check shared tables */
-- 
1.8.3.251.g1462b67

